<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->group(function() {
    //矿区管理
    Route::get('/mine', 'MineController@index');
    Route::get('/mine/list', 'MineController@mineList');
    Route::get('/mine/list/add', 'MineController@mineAdd');
    Route::post('/mine/list/add', 'MineController@mineAddPost');
    Route::get('/mine/list/edit', 'MineController@mineEdit');
    Route::post('/mine/list/edit', 'MineController@mineEditPost');
    Route::post('/mine/list/del', 'MineController@mineDelPost');

    //工作面
    Route::get('/surface', 'SurfaceController@index');
    Route::get('/surface/list', 'SurfaceController@surfaceList');
    Route::get('/surface/list/view', 'SurfaceController@surfaceView');
    Route::get('/surface/list/add', 'SurfaceController@surfaceAdd');
    Route::post('/surface/list/add', 'SurfaceController@surfaceAddPost');
    Route::get('/surface/list/edit', 'SurfaceController@surfaceEdit');
    Route::post('/surface/list/edit', 'SurfaceController@surfaceEditPost');
    Route::post('/surface/list/del', 'SurfaceController@surfaceDelPost');
});
